Page MenuHomePhabricator

Fix easy problems reported by RuboCop in operations/puppet
Closed, ResolvedPublic

Event Timeline

zeljkofilipin claimed this task.
zeljkofilipin raised the priority of this task from to Normal.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a project: Puppet.
zeljkofilipin added a subscriber: zeljkofilipin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2015, 1:37 PM

Change 238778 had a related patch set uploaded (by Zfilipin):
rubocop: Fixed Style/WordArray offense

https://gerrit.wikimedia.org/r/238778

Change 238779 had a related patch set uploaded (by Zfilipin):
rubocop: Fixed Style/TrailingComma offense

https://gerrit.wikimedia.org/r/238779

Change 238779 abandoned by Zfilipin:
rubocop: Ignore Style/TrailingComma offense

https://gerrit.wikimedia.org/r/238779

hashar removed a subscriber: hashar.Nov 9 2015, 2:47 PM
zeljkofilipin changed the task status from Open to Stalled.Nov 9 2015, 2:47 PM

Change 238778 merged by Alexandros Kosiaris:
rubocop: Ignoring Style/WordArray offense

https://gerrit.wikimedia.org/r/238778

zeljkofilipin changed the task status from Stalled to Open.Nov 12 2015, 11:29 AM
zeljkofilipin removed a project: Patch-For-Review.

Change 252721 had a related patch set uploaded (by Zfilipin):
Updated RuboCop to the newest released version

https://gerrit.wikimedia.org/r/252721

Change 252721 merged by Alexandros Kosiaris:
Updated RuboCop to the newest released version

https://gerrit.wikimedia.org/r/252721

Change 253349 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/TrailingBlankLines offense

https://gerrit.wikimedia.org/r/253349

Change 253350 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/Tab offense

https://gerrit.wikimedia.org/r/253350

Change 253351 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/StringLiterals offense

https://gerrit.wikimedia.org/r/253351

Change 253349 merged by Alexandros Kosiaris:
RuboCop: fixed Style/TrailingBlankLines offense

https://gerrit.wikimedia.org/r/253349

Change 253350 merged by Alexandros Kosiaris:
RuboCop: fixed Style/Tab offense

https://gerrit.wikimedia.org/r/253350

Change 253351 abandoned by Zfilipin:
RuboCop: fixed Style/StringLiterals offense

https://gerrit.wikimedia.org/r/253351

Change 254428 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/DeprecatedHashMethods offense

https://gerrit.wikimedia.org/r/254428

Change 254428 merged by Alexandros Kosiaris:
RuboCop: fixed Style/DeprecatedHashMethods offense

https://gerrit.wikimedia.org/r/254428

Change 254833 had a related patch set uploaded (by Zfilipin):
RuboCop: Fixed Lint/UnusedBlockArgument offense

https://gerrit.wikimedia.org/r/254833

Change 254838 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Lint/UnusedMethodArgument offense

https://gerrit.wikimedia.org/r/254838

Change 254833 merged by Alexandros Kosiaris:
RuboCop: Fixed Lint/UnusedBlockArgument offense

https://gerrit.wikimedia.org/r/254833

Change 254839 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/AlignParameters parameters

https://gerrit.wikimedia.org/r/254839

Change 254841 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/AndOr offense

https://gerrit.wikimedia.org/r/254841

Change 254839 merged by Alexandros Kosiaris:
RuboCop: fixed Style/AlignParameters parameters

https://gerrit.wikimedia.org/r/254839

Change 254855 had a related patch set uploaded (by Zfilipin):
RuboCop: Fixed Style/BlockDelimiters offense

https://gerrit.wikimedia.org/r/254855

Change 254841 merged by Alexandros Kosiaris:
RuboCop: fixed Style/AndOr offense

https://gerrit.wikimedia.org/r/254841

Change 254838 abandoned by Zfilipin:
RuboCop: fixed Lint/UnusedMethodArgument offense

https://gerrit.wikimedia.org/r/254838

Change 254855 abandoned by Zfilipin:
RuboCop: Fixed Style/BlockDelimiters offense

https://gerrit.wikimedia.org/r/254855

Change 259699 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/CaseIndentation offense

https://gerrit.wikimedia.org/r/259699

Change 259702 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/ColonMethodCall offence

https://gerrit.wikimedia.org/r/259702

Change 259706 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/CommandLiteral offense

https://gerrit.wikimedia.org/r/259706

Change 259708 had a related patch set uploaded (by Zfilipin):
RuboCop: Fixed Style/DefWithParentheses offence

https://gerrit.wikimedia.org/r/259708

Change 259710 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/EmptyLiteral offense

https://gerrit.wikimedia.org/r/259710

Change 259716 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/IfUnlessModifier offense

https://gerrit.wikimedia.org/r/259716

Change 259717 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/LeadingCommentSpace offense

https://gerrit.wikimedia.org/r/259717

Change 259718 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/MethodCallParentheses offense

https://gerrit.wikimedia.org/r/259718

Change 259719 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/MultilineIfThen offense

https://gerrit.wikimedia.org/r/259719

Change 259722 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/NegatedIf offense

https://gerrit.wikimedia.org/r/259722

Change 259724 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/Not offense

https://gerrit.wikimedia.org/r/259724

Change 259725 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/NumericLiterals offense

https://gerrit.wikimedia.org/r/259725

Change 259726 had a related patch set uploaded (by Zfilipin):
RuboCop: fixed Style/ParallelAssignment offense

https://gerrit.wikimedia.org/r/259726

Change 259699 merged by Alexandros Kosiaris:
RuboCop: fixed Style/CaseIndentation offense

https://gerrit.wikimedia.org/r/259699

zeljkofilipin removed zeljkofilipin as the assignee of this task.Feb 15 2016, 1:43 PM
zeljkofilipin removed a project: Patch-For-Review.

Change 259726 abandoned by Zfilipin:
RuboCop: fixed Style/ParallelAssignment offense

https://gerrit.wikimedia.org/r/259726

Change 259725 abandoned by Zfilipin:
RuboCop: fixed Style/NumericLiterals offense

https://gerrit.wikimedia.org/r/259725

Change 259724 abandoned by Zfilipin:
RuboCop: fixed Style/Not offense

https://gerrit.wikimedia.org/r/259724

Change 259722 abandoned by Zfilipin:
RuboCop: fixed Style/NegatedIf offense

https://gerrit.wikimedia.org/r/259722

Change 259719 abandoned by Zfilipin:
RuboCop: fixed Style/MultilineIfThen offense

https://gerrit.wikimedia.org/r/259719

Change 259718 abandoned by Zfilipin:
RuboCop: fixed Style/MethodCallParentheses offense

https://gerrit.wikimedia.org/r/259718

Change 259717 abandoned by Zfilipin:
RuboCop: fixed Style/LeadingCommentSpace offense

https://gerrit.wikimedia.org/r/259717

Change 259716 abandoned by Zfilipin:
RuboCop: fixed Style/IfUnlessModifier offense

https://gerrit.wikimedia.org/r/259716

Change 259710 abandoned by Zfilipin:
RuboCop: fixed Style/EmptyLiteral offense

https://gerrit.wikimedia.org/r/259710

Change 259708 abandoned by Zfilipin:
RuboCop: Fixed Style/DefWithParentheses offence

https://gerrit.wikimedia.org/r/259708

Change 259706 abandoned by Zfilipin:
RuboCop: fixed Style/CommandLiteral offense

https://gerrit.wikimedia.org/r/259706

Change 259702 abandoned by Zfilipin:
RuboCop: fixed Style/ColonMethodCall offence

https://gerrit.wikimedia.org/r/259702

hashar closed this task as Resolved.Feb 16 2016, 2:39 PM
hashar assigned this task to zeljkofilipin.
hashar added a subscriber: hashar.

Bulk of rubocop issues have been fixed. A lot of changes have been abandoned but rubocop is running nonetheless. When there is interest in being rubocop free, people can just propose patch to fix the rest of the TODO entries.

Meanwhile the bulk of easy/non controversial links are applied and running. Hence this task is complete.